#!/bin/sh
JAVA=${JAVA:=java}
NAME=frinika
JP=/usr/share/java
LP=/usr/lib
for arch in sparc64 s390x x86_64 ppc64; do
    if [[ $(uname -i) == "$arch" ]]; then
        LP=/usr/lib64
    fi
done

MAINJARFILE=${JP}/${NAME}.jar
PACKAGE_MAIN=com.frinika.FrinikaMain

FLEXDOCK=${LP}/flexdock/flexdock.jar
JJACK=${LP}/jjack/jjack.jar
RASMUSDSP=${LP}/RasmusDSP/RasmusDSP.jar
TOOTAUDIOSERVERS=${LP}/tootaudioservers/tootaudioservers.jar
TRITONUS_SHARE=${LP}/tritonus/tritonus_share.jar

CLASSPATH=${CLASSPATH}:${JP}:`build-classpath toot2 jmod jVorbisEnc jgoodies-looks jakarta-commons-logging skinlf SevenZip`:${FLEXDOCK}:${JJACK}:${RASMUSDSP}:${TOOTAUDIOSERVERS}:${TRITONUS_SHARE}:${MAINJARFILE}

JAVA_FLAGS=${JAVA_FLAGS:="-Xmx756m -cp ${CLASSPATH}"}

exec ${JAVA} ${JAVA_FLAGS} ${JARFILE} ${PACKAGE_MAIN}
